.container-gallery {
  width: 80%;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-auto-rows: minmax(100px, auto);
  align-items: center;
  margin: auto;
  background: white;
}

.container-gallery a {
  align-self: center;
  justify-self: center;
}

@media screen and (max-width: 1735px) {
  .container-gallery {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (max-width: 1160px) {
  .container-gallery {
    grid-template-columns: repeat(1, 1fr);
    width: 100%;
  }
}

.img-div {
  height: 450px;
  width: 450px;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  margin: 32px 4px;
  transition: all ease .2s;
  align-self: center;
  justify-self: center;
}

.img-div img {
  height: 450px;
  width: 450px;
  object-fit: cover;
  transition: all ease .2s;
}

.img-div:hover img {
  transform: scale(1.2);
  filter: brightness(0.5);
}

.img-div:hover {
  cursor: pointer;
  box-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1);
  transform: scale(1.1);
}

.img-div .calc {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  opacity: 0;
  bottom: -100%;
  height: 450px;
  width: 450px;
  transition: all cubic-bezier(0, 0.37, 0.04, 1.3) 0.4s;
}

.img-div:hover .calc {
  opacity: 1;
  bottom: 0;
}
